%{?nodejs_find_provides_and_requires}

%global packagename svgmin
%global enable_tests 0
# no tests are tagged upstream, and the test dependencies aren't packaged in
# Fedora yet :-(

Name:		nodejs-svgmin
Version:	0.1.0
Release:	1%{?dist}
Summary:	Minify SVG files

License:	MIT
URL:		https://github.com/kevva/svgmin
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# Get the license and readme files from upstream repo
Source1:	https://raw.githubusercontent.com/kevva/svgmin/master/LICENSE.md
Source2:	https://raw.githubusercontent.com/kevva/svgmin/master/README.md

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuileRequires:	npm(ware)
%endif

Requires:	nodejs

%description
Minify SVG files


%prep
%setup -q -n package
cp -r %{SOURCE1} .
cp -r %{SOURCE2} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test/test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}


%changelog
* Sun Oct 25 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.0-1
- Initial packaging
